> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/affiliate_api/offers/get_information_about_a_specific_offers_platform.md).

# Get information about a specific offer’s platform

| HTTP method | Endpoint                                 |
| ----------- | ---------------------------------------- |
| **GET**     | **/aff/v1/offers/{offer\_id}/platforms** |

## Path parameters <a href="#path-parameters-4" id="path-parameters-4"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

## Response body parameters <a href="#response-body-parameters-4" id="response-body-parameters-4"></a>

| Field           | Type    | Description                                                                                                                                                                                                 |
| --------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id              | integer |                                                                                                                                                                                                             |
| offer\_id       | integer | A string that uniquely identifies this offer.                                                                                                                                                               |
| platform        | string  | Devices to be targeted, it might be PC/Mobile/Tablet.                                                                                                                                                       |
| system          | string  | Operating System in Device. By default it allows all OS in targeted platform.                                                                                                                               |
| version         | array   | Version of the system. By default it allows all versions in targeted system.                                                                                                                                |
| ***is\_above*** | integer | A new field, is\_above, is added to offer platform to support upper compatibility in platform. When new platform versions are upgraded, the traffic won’t be rejected.   Allowed values:   0 Close;  1 Open |

## Example request <a href="#example-request-4" id="example-request-4"></a>

**Request GET** <https://{networkname}.api.offerslook.com/aff/v1/offers/16/platforms>

**Request GET** <http://{networkname}.api.offerslook.com/aff/v1/offers/16/platforms>

## Example response <a href="#example-response-4" id="example-response-4"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_platform": {
          "target": [
            {
              "id": 510,
              "offer_id": 16,
              "platform": "PC",
              "system": "Windows",
              "version": [
                "Windows 8",
                "Windows 7",
                "Windows 10"
              ],
              "is_above": 1
            },
            {
              "id": 511,
              "offer_id": 16,
              "platform": "Mobile",
              "system": "Android",
              "version": [
                "4.3",
                "4.4",
                "5.0",
                "5.1",
                "6.0"
              ],
              "is_above": 1
            },
            {
              "id": 512,
              "offer_id": 16,
              "platform": "Mobile",
              "system": "iOS",
              "version": [
                "7.0",
                "7.1",
                "8.0",
                "8.1",
                "8.2",
                "8.3",
                "8.4",
                "9.0",
                "9.1",
                "9.2",
                "9.3"
              ],
              "is_above": 1
            }
          ]
        }
      }
    }
```
